Last Comment Bug 512749 - "ASSERTION: containing block height must be constrained" with table, r&a pos
: "ASSERTION: containing block height must be constrained" with table, r&a pos
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: Layout: Tables (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: mozilla10
Assigned To: :Ehsan Akhgari
:
Mentors:
Depends on: 10209
Blocks: randomstyles
  Show dependency treegraph
 
Reported: 2009-08-26 11:47 PDT by Jesse Ruderman
Modified: 2011-09-30 07:29 PDT (History)
5 users (show)
ehsan: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (77 bytes, text/html)
2009-08-26 11:47 PDT, Jesse Ruderman
no flags Details
Crashtest (1007 bytes, patch)
2011-09-29 16:08 PDT, :Ehsan Akhgari
roc: review+
Details | Diff | Splinter Review

Description Jesse Ruderman 2009-08-26 11:47:02 PDT
Created attachment 396785 [details]
testcase

###!!! ASSERTION: containing block height must be constrained: 'containingBlockHeight != NS_AUTOHEIGHT', file /Users/jruderman/central/layout/generic/nsHTMLReflowState.cpp, line 1148
Comment 1 Brian Crowder 2010-08-31 11:17:27 PDT
Seeing this one pretty frequently in a build I made this morning on Linux.
Comment 2 Alex Miller 2011-01-28 21:59:28 PST
Also occurs at http://www.enthiranthemovie.com/enthiran_shooting_spot_gallery.php
Comment 3 :Ehsan Akhgari 2011-05-09 10:42:44 PDT
My patch in bug 10209 is going to fix this assertion too.
Comment 4 :Ehsan Akhgari 2011-09-29 16:08:18 PDT
Created attachment 563583 [details] [diff] [review]
Crashtest

The assertion has been fixed, here's a crashtest.

Note You need to log in before you can comment on or make changes to this bug.